.cmd_ok:
	./check_cmds.sh .cmd_ok rsync latexmk
.inotifywait:
	./check_cmds.sh .inotifywait inotifywait
%.pdf: %.tex
	latexmk -pdf $<

all: .cmd_ok bericht.pdf

iozone:
	make -C benchmarks all

TEX_FILES = $(shell find . -type f -name '*.tex')
bericht.pdf: $(TEX_FILES) $(wildcard bilder/*) iozone

watch: .inotifywait
	echo "Abort with Ctrl+C"
	while (true); do\
		inotifywait -e MOVE_SELF -e "modify" abschnitte/*.tex bilder/* bericht.tex;\
		latexmk -pdf bericht.tex; \
	done

.PHONY: all benchmarks clean
